Uses of Interface
org.apache.juneau.marshall.stream.RecordWritable
Packages that use RecordWritable
Package
Description
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
INI format serializer and parser for Apache Juneau.
JCS (JSON Canonicalization Scheme) Marshalling Support.
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
Markdown serializer and parser support for Apache Juneau.
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Plaintext Marshalling Support
SOAP/XML Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.Public low-level token-streaming API (pull parser + push generator) shared by every Juneau
format.
TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
-
Uses of RecordWritable in org.apache.juneau.marshall.bson
Classes in org.apache.juneau.marshall.bson that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to BSON (Binary JSON).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output.classSession object that lives for the duration of a single use ofBsonSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.cbor
Classes in org.apache.juneau.marshall.cbor that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to CBOR (RFC 8949).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output.classSession object that lives for the duration of a single use ofCborSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.csv
Classes in org.apache.juneau.marshall.csv that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to CSV (Comma Separated Values) format.classSession object that lives for the duration of a single use ofCsvSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.hjson
Classes in org.apache.juneau.marshall.hjson that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to Hjson (Human JSON).classSession for serializing objects to Hjson format. -
Uses of RecordWritable in org.apache.juneau.marshall.hocon
Classes in org.apache.juneau.marshall.hocon that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to HOCON (Human-Optimized Config Object Notation).classSession for serializing objects to HOCON format. -
Uses of RecordWritable in org.apache.juneau.marshall.html
Classes in org.apache.juneau.marshall.html that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as HTML documents.classContext object that lives for the duration of a single serialization ofHtmlSerializerand its subclasses.classSerializes POJO metamodels to HTML.classContext object that lives for the duration of a single serialization ofHtmlSchemaDocSerializerand its subclasses.classSerializes POJO metamodels to HTML.static classDefault serializer, with whitespace.static classDefault serializer, single quotes, simple mode.static classDefault serializer, single quotes, simple mode, with whitespace.classContext object that lives for the duration of a single serialization ofHtmlSchemaSerializerand its subclasses.classSerializes POJO models to HTML.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added.classSession object that lives for the duration of a single use ofHtmlSerializer.classSerializes POJOs to HTTP responses as stripped HTML.classSession object that lives for the duration of a single use ofHtmlStrippedDocSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.ini
Classes in org.apache.juneau.marshall.ini that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to INI format.classSession for serializing objects to INI format. -
Uses of RecordWritable in org.apache.juneau.marshall.jcs
Classes in org.apache.juneau.marshall.jcs that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to canonical JSON per RFC 8785 (JCS).classSession object forJcsSerializerthat produces RFC 8785 canonical JSON. -
Uses of RecordWritable in org.apache.juneau.marshall.json
Classes in org.apache.juneau.marshall.json that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO metadata to HTTP responses as JSON-Schema.static classDefault serializer, with whitespace.classSession object that lives for the duration of a single use ofJsonSchemaSerializer.classSerializes POJO models to RFC 8259 JSON.static classDefault serializer, with whitespace.classSession object that lives for the duration of a single use ofJsonSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.json5
Classes in org.apache.juneau.marshall.json5 that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to Simplified JSON.static classDefault serializer, single quotes, simple mode, with whitespace.classSession object that lives for the duration of a single use ofJson5Serializer. -
Uses of RecordWritable in org.apache.juneau.marshall.json5l
Classes in org.apache.juneau.marshall.json5l that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to JSON5L (JSON5 Lines).classSession object that lives for the duration of a single use ofJson5lSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.jsonl
Classes in org.apache.juneau.marshall.jsonl that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to JSONL (JSON Lines).classSession object that lives for the duration of a single use ofJsonlSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.markdown
Classes in org.apache.juneau.marshall.markdown that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to Markdown document mode (headings + tables).classSession object forMarkdownDocSerializer.classSerializes POJO models to Markdown (fragment mode: tables and lists).classSession object forMarkdownSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.msgpack
Classes in org.apache.juneau.marshall.msgpack that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to MessagePack.static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output.classSession object that lives for the duration of a single use ofMsgPackSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.oapi
Classes in org.apache.juneau.marshall.oapi that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJOs to values suitable for transmission as HTTP headers, query/form-data parameters, and path variables.classSession object that lives for the duration of a single use ofOpenApiSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.parquet
Classes in org.apache.juneau.marshall.parquet that implement RecordWritableModifier and TypeClassDescriptionclassSerializes bean collections to Apache Parquet binary format.classSession forParquetSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.plaintext
Classes in org.apache.juneau.marshall.plaintext that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJOs to plain text using just thetoString() method on the serialized object.classSession object that lives for the duration of a single use ofPlainTextSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.soap
Classes in org.apache.juneau.marshall.soap that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML+SOAP.classSession object that lives for the duration of a single use ofSoapXmlSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.sse
Classes in org.apache.juneau.marshall.sse that implement RecordWritableModifier and TypeClassDescriptionclassSerializesSseEventobjects to thetext/event-stream wire format defined by the WHATWG Server-Sent Events spec.classSession object that lives for the duration of a single use ofSseSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.stream
Subinterfaces of RecordWritable in org.apache.juneau.marshall.streamModifier and TypeInterfaceDescriptioninterfaceCapability role for serializers that additionally expose the structuralTokenWritercursor (FULL formats: json, json5, jsonl, cbor, msgpack, jsonschema, jcs). -
Uses of RecordWritable in org.apache.juneau.marshall.toml
Classes in org.apache.juneau.marshall.toml that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJOs to TOML v1.0.0 format.classSession for serializing objects to TOML format. -
Uses of RecordWritable in org.apache.juneau.marshall.uon
Classes in org.apache.juneau.marshall.uon that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to UON (a notation for URL-encoded query parameter values).static classEquivalent toUonSerializer..create ().encoding().build();static classEquivalent toUonSerializer..create ().ws().build();classSession object that lives for the duration of a single use ofUonSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.urlencoding
Classes in org.apache.juneau.marshall.urlencoding that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).static classEquivalent toUrlEncodingSerializer..create ().expandedParams().build();static classEquivalent toUrlEncodingSerializer..create ().plainTextParts().build();static classEquivalent toUrlEncodingSerializer..create ().useWhitespace().build();classSession object that lives for the duration of a single use ofUrlEncodingSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.xml
Classes in org.apache.juneau.marshall.xml that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML.static classDefault serializer without namespaces.classSession object that lives for the duration of a single use ofXmlDocSerializer.classSerializes POJO models to XML.static classDefault serializer without namespaces.static classDefault serializer without namespaces, single quotes.static classDefault serializer without namespaces, single quotes, with whitespace.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added.classSession object that lives for the duration of a single use ofXmlSerializer. -
Uses of RecordWritable in org.apache.juneau.marshall.yaml
Classes in org.apache.juneau.marshall.yaml that implement RecordWritableModifier and TypeClassDescriptionclassSerializes POJO models to YAML.static classDefault serializer, with whitespace.classSession object that lives for the duration of a single use ofYamlSerializer.